
                (function() {
                    var nodeEnv = typeof require !== 'undefined' && typeof process !== 'undefined';
                    var __module = nodeEnv ? module : {exports:{}};
                    var __filename = 'preview-scripts/__qc_index__.js';
                    var __require = nodeEnv ? function (request) {
                        return cc.require(request);
                    } : function (request) {
                        return __quick_compile_project__.require(request, __filename);
                    };
                    function __define (exports, require, module) {
                        if (!nodeEnv) {__quick_compile_project__.registerModule(__filename, module);}
require('./assets/Script/Block');
require('./assets/Script/DynamicAtlasManager');
require('./assets/Script/GameManager');
require('./assets/Script/GameOver');
require('./assets/Script/GameScene');
require('./assets/Script/GuideManager');
require('./assets/Script/Load');
require('./assets/Script/RankManager');
require('./assets/Script/module/Config/GameConfig');
require('./assets/Script/module/Crypto/HttpUtil');
require('./assets/Script/module/Crypto/crypto-js.min');
require('./assets/Script/module/GameStart/GameAppStart');
require('./assets/Script/module/Music/AudioManager');
require('./assets/Script/module/Notification/Notification');
require('./assets/Script/module/RankList/ItemRender');
require('./assets/Script/module/RankList/List');
require('./assets/Script/module/Share/share');
require('./assets/Script/module/Storage/Storage');
require('./assets/Script/module/Tool/GameTool');
require('./assets/migration/use_v2.1-2.2.1_cc.Toggle_event');

                    }
                    if (nodeEnv) {
                        __define(__module.exports, __require, __module);
                    }
                    else {
                        __quick_compile_project__.registerModuleFunc(__filename, function () {
                            __define(__module.exports, __require, __module);
                        });
                    }
                })();